Skip to main content
GET
Topic readiness

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the account

Query Parameters

since
integer

Start Unix epoch seconds; defaults to 30 days before until.

until
integer

End Unix epoch seconds; defaults to now. since must precede until; maximum 366 days.

Response

Actual synthetic request response; see topic analytics evidence.

Account Topics report readiness; counts remain available when disabled.

state
enum<string>
required

First matching readiness state: disabled, low volume, learning, partial coverage, or ready.

Available options:
not_on,
low_volume,
learning,
partial,
ok
conversations
integer
required

Conversations created in the window.

Required range: x >= 0
labeled
integer
required

Conversations with a current, non-superseded rank 1 topic.

Required range: x >= 0
coverage
number | null
required

Labeled / conversations rounded to four decimals; null with zero conversations.

Required range: 0 <= x <= 1
remaining
integer
required

max(50 minus labeled, 0), even when disabled.

Required range: x >= 0
thresholds
object
required

Readiness thresholds.

period
object
required

Effective period; defaults to the last 30 days.